org.keycloak.protocol

## Class RestartLoginCookie

- java.lang.Object
- - org.keycloak.protocol.RestartLoginCookie

-     public class RestartLoginCookie
      extends Object

  This is an an encoded token that is stored as a cookie so that if there is a client timeout, then the client session can be restarted.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected String` | `authMethod`
    `protected String` | `clientId`
    `protected String` | `clientSession`
    `static String` | `KC_RESTART`
    `protected Map<String,String>` | `notes`
    `protected String` | `redirectUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RestartLoginCookie()`
    `RestartLoginCookie(ClientSessionModel clientSession)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `encode(RealmModel realm)`
    `static void` | `expireRestartCookie(RealmModel realm, ClientConnection connection, javax.ws.rs.core.UriInfo uriInfo)`
    `String` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClientId()`
    `String` | `getClientSession()`
    `Map<String,String>` | `getNotes()`
    `String` | `getRedirectUri()`
    `static ClientSessionModel` | `restartSession(KeycloakSession session, RealmModel realm, String code)`
    `void` | `setAction(String action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientSession(String clientSession)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setRedirectUri(String redirectUri)`
    `static void` | `setRestartCookie(RealmModel realm, ClientConnection connection, javax.ws.rs.core.UriInfo uriInfo, ClientSessionModel clientSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KC_RESTART

          public static final String KC_RESTART

      See Also:
        Constant Field Values

    - #### clientSession

          protected String clientSession

    - #### clientId

          protected String clientId

    - #### authMethod

          protected String authMethod

    - #### redirectUri

          protected String redirectUri

    - #### action

          protected String action

    - #### notes

          protected Map<String,String> notes

  - ### Constructor Detail

    - #### RestartLoginCookie

          public RestartLoginCookie()

    - #### RestartLoginCookie

          public RestartLoginCookie(ClientSessionModel clientSession)

  - ### Method Detail

    - #### getClientSession

          public String getClientSession()

    - #### setClientSession

          public void setClientSession(String clientSession)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### encode

          public String encode(RealmModel realm)

    - #### setRestartCookie

          public static void setRestartCookie(RealmModel realm,
                                              ClientConnection connection,
                                              javax.ws.rs.core.UriInfo uriInfo,
                                              ClientSessionModel clientSession)

    - #### expireRestartCookie

          public static void expireRestartCookie(RealmModel realm,
                                                 ClientConnection connection,
                                                 javax.ws.rs.core.UriInfo uriInfo)

    - #### restartSession

          public static ClientSessionModel restartSession(KeycloakSession session,
                                                          RealmModel realm,
                                                          String code)
                                                   throws Exception

      Throws:
        `Exception`

Copyright © 2016 JBoss by Red Hat. All rights reserved.